Plack::Server::Standalone::Prefork(3)

NAME
Plack::Server::Standalone::Prefork - Prefork standalone HTTP server

SYNOPSIS
  % plackup -s Standalone::Prefork \
      --host 127.0.0.1 --port 9091 --timeout 120 \
      --max-keepalive-reqs 20 --keepalive-timeout 5 \
      --max-workers 10 --max-reqs-per-child 320

DESCRIPTION
Plack::Server::Standalone::Prefork is a prefork standalone HTTP server. HTTP/1.0 and Keep-Alive requests are supported.

Some features in HTTP/1.1, notably chunked requests, responses and pipeline requests are NOT supported yet.

CONFIGURATIONS

host, port, timeout, keepalive-timeout
    Same as Plack::Server::Standalone.

max-workers
    Number of prefork workers. Defaults to 10.

max-reqs-per-child
    Number of requests per worker to process. Defaults to 100.

max-keepalive-reqs
    Max requests per a keep-alive request. Defaults to 100.

AUTHOR
Kazuho Oku

SEE ALSO
Plack::Server::Standalone